Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class DomHelperSupport

    java.lang.Object
      biouml.plugins.cellml.DomHelperSupport

All Implemented Interfaces:
  DomHelper

Direct Known Subclasses:
  RdfHelper

public class DomHelperSupport
extends java.lang.Object
implements DomHelper

Spike solution for DomHelper.

Field Summary
`protected java.util.HashMap` | `attributes`
`protected java.util.HashMap` | `elements`

Constructor Summary
`DomHelperSupport()`

Method Summary
`void` | `addAttribute(java.lang.String name, java.beans.PropertyDescriptor pd)`
`void` | `addElement(java.lang.String name, java.beans.PropertyDescriptor pd)`
`protected java.beans.PropertyDescriptor` | `clone(java.beans.PropertyDescriptor pd, java.lang.String name)`
`java.beans.PropertyDescriptor` | `getAttributeDescriptor(org.w3c.dom.Node node, org.w3c.dom.Element parent)`
`protected java.lang.String` | `getDisplayName(java.lang.String name)` Returns property display name that can differ from property programmatic name.
`java.beans.PropertyDescriptor` | `getElementDescriptor(org.w3c.dom.Element child, org.w3c.dom.Element parent)`
`protected java.lang.String` | `getElementIndex(org.w3c.dom.Element child, org.w3c.dom.Element parent)` If parent contains several childs, we need to add index to property programmatic name.
`java.beans.PropertyDescriptor` | `getPropertyDescriptor(org.w3c.dom.Node node, org.w3c.dom.Element parent)` Returns `PropertyDescriptor` for the specified node (attribute or element).
`boolean` | `hasAttribute(java.lang.String name)`
`boolean` | `hasElement(java.lang.String name)`
`protected boolean` | `isExpert(java.lang.String name)` Indicates whether this property should be marked as expert.
`protected boolean` | `isHidden(java.lang.String name)` Indicates whether this property should be hidden.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attributes

    protected java.util.HashMap attributes

### elements

    protected java.util.HashMap elements

Constructor Detail

### DomHelperSupport

    public DomHelperSupport()

Method Detail

### getPropertyDescriptor

    public java.beans.PropertyDescriptor getPropertyDescriptor(org.w3c.dom.Node node,
                                                               org.w3c.dom.Element parent)

  Description copied from interface: `DomHelper`
  Returns `PropertyDescriptor` for the specified node (attribute or element).

  Specified by:
    `getPropertyDescriptor` in interface `DomHelper`

### addAttribute

    public void addAttribute(java.lang.String name,
                             java.beans.PropertyDescriptor pd)

### hasAttribute

    public boolean hasAttribute(java.lang.String name)

### getAttributeDescriptor

    public java.beans.PropertyDescriptor getAttributeDescriptor(org.w3c.dom.Node node,
                                                                org.w3c.dom.Element parent)

### isExpert

    protected boolean isExpert(java.lang.String name)

  Indicates whether this property should be marked as expert. This method marks xmlns properties as expert.

### isHidden

    protected boolean isHidden(java.lang.String name)

  Indicates whether this property should be hidden. This method does nod hide any properties.

### getDisplayName

    protected java.lang.String getDisplayName(java.lang.String name)

  Returns property display name that can differ from property programmatic name. This method returns property programmatic name that is the same as corresponding DOM node name.

### addElement

    public void addElement(java.lang.String name,
                           java.beans.PropertyDescriptor pd)

### hasElement

    public boolean hasElement(java.lang.String name)

### getElementDescriptor

    public java.beans.PropertyDescriptor getElementDescriptor(org.w3c.dom.Element child,
                                                              org.w3c.dom.Element parent)

### getElementIndex

    protected java.lang.String getElementIndex(org.w3c.dom.Element child,
                                               org.w3c.dom.Element parent)

  If parent contains several childs, we need to add index to property programmatic name.

### clone

    protected java.beans.PropertyDescriptor clone(java.beans.PropertyDescriptor pd,
                                                  java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.